curl --request GET \
--url https://platform.spritz.finance/v1/auto-ramp-accounts/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/auto-ramp-accounts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/auto-ramp-accounts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "507f1f77bcf86cd799439011",
"depositInstructions": {
"bankName": "Lead Bank",
"bankAddress": "1801 Main St, Kansas City, MO 64108",
"paymentRails": [
"ach",
"wire"
],
"type": "us",
"bankRoutingNumber": "101019644",
"bankAccountNumber": "1234567890"
},
"network": "ethereum",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"token": "USDC",
"currency": "USD",
"status": "active",
"createdAt": "2025-01-15T10:30:00.000Z"
}
]{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}List auto-ramp accounts
Returns all auto-ramp accounts for the authenticated user. Each account is a virtual bank account that automatically converts fiat deposits to crypto.
Authorizations
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Response
Response for status 200
Unique identifier for this auto-ramp account
"507f1f77bcf86cd799439011"
Deposit instructions for the virtual account. The type field indicates the account format: us for ACH/wire (routing + account number) or iban for SEPA (IBAN + BIC).
- Option 1
- Option 2
Show child attributes
Show child attributes
Blockchain network where converted crypto will be sent. Lowercase network identifier.
"ethereum"
Destination wallet address. Fiat deposits are converted and sent to this address.
"0x1234567890abcdef1234567890abcdef12345678"
Token that fiat deposits will be converted to
"USDC"
Fiat currency accepted for deposits
"USD"
active, inactive Timestamp when this auto-ramp account was created (ISO 8601)
"2025-01-15T10:30:00.000Z"